MissingH-1.3.0.1: Large utility library

Copyright | Copyright (C) 2004-2011 John Goerzen
License | BSD3
Maintainer | John Goerzen <jgoerzen@complete.org>
Stability | provisional
Portability | portable
Safe Haskell | None
Language | Haskell98

System.Debian

Contents

- Control or Similar File Utilities
- Version Number Utilities

Description

This module provides various helpful utilities for dealing with Debian files and programs.

Written by John Goerzen, jgoerzen@complete.org

Synopsis

- type ControlFile = [(String, String)]
- data DebVersion
- compareDebVersion :: String -> String -> IO Ordering
- checkDebVersion :: String -> String -> String -> IO Bool

# Control or Similar File Utilities

type ControlFile = [(String, String)] Source

The type representing the contents of a Debian control file, or any control-like file (such as the output from apt-cache show, etc.)

# Version Number Utilities

data DebVersion Source

The type representing a Debian version number. This type is an instance of `Ord`, but you can also use `compareDebVersion` if you prefer.

Instances

Eq DebVersion Source |
Ord DebVersion Source |

compareDebVersion :: String -> String -> IO Ordering Source

Compare the versions of two packages.

checkDebVersion Source

Arguments

:: String | Version 1
-> String | Operator
-> String | Version 2
-> IO Bool |